Subject: sydney botanical garden

From: [email-masked] (Kris Benarcik)
Date: 23 Mar 1995 22:23:32 GMT

Would anyone have information regarding internships and work exchange
programs at the Sydney Botanical Garden in Sydney, Australia. Please send
any information to this e-mail address instead of posting it. Many Thanks. 

           Kris Benarcik